Get Graph
GET
/api/v1/graphs/{graph_id}Authorization
AuthorizationBearer token · headerrequiredor
AuthorizationOAuth2 access token · headerrequiredPath parameters
graph_idstringrequiredResponses
200Successful Response
successbooleandefault: true
dataNodeGraph | anyShow propertiesHide properties
Any of:
NodeGraph
idstringnamestringrequireddescriptionstringdefault: ""
definitionobjectui_stateobjectforked_fromstring | anyShow propertiesHide properties
Any of:
string
stringany
anytemplatebooleandefault: false
owner_idstringrequiredcreated_atstring<date-time>updated_atstring<date-time>deleted_atstring<date-time> | anyShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anyany
anymessagestring | anyShow propertiesHide properties
Any of:
string
stringany
anyerrorsstring[] | anyShow propertiesHide properties
Any of:
string[]
Array of
stringstringany
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredinputanyctxobjectRequest
curl -X GET "/api/v1/graphs/string" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("/api/v1/graphs/string", {
method: "GET",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.get(
"/api/v1/graphs/string",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
{
"success": true,
"data": {
"id": "string",
"name": "string",
"description": "",
"definition": {},
"ui_state": {},
"forked_from": "string",
"template": false,
"owner_id": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"deleted_at": "2019-08-24T14:15:22Z"
},
"message": "string",
"errors": [
"string"
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}